package com.tongran.mtragent.service;

import com.tongran.mtragent.domain.RmMtrProbeResult;

import java.util.List;
import java.util.Map;

/**
 * 网络mtr探测结果Service接口
 * 
 * @author tongran
 * @date 2025-11-20
 */
public interface IRmMtrProbeResultService 
{
    /**
     * 查询网络mtr探测结果
     * 
     * @param id 网络mtr探测结果主键
     * @return 网络mtr探测结果
     */
    public RmMtrProbeResult selectRmMtrProbeResultById(Long id);

    /**
     * 查询网络mtr探测结果列表
     * 
     * @param rmMtrProbeResult 网络mtr探测结果
     * @return 网络mtr探测结果集合
     */
    public List<RmMtrProbeResult> selectRmMtrProbeResultList(RmMtrProbeResult rmMtrProbeResult);

    /**
     * 新增网络mtr探测结果
     * 
     * @param rmMtrProbeResult 网络mtr探测结果
     * @return 结果
     */
    public int insertRmMtrProbeResult(RmMtrProbeResult rmMtrProbeResult);

    /**
     * 修改网络mtr探测结果
     * 
     * @param rmMtrProbeResult 网络mtr探测结果
     * @return 结果
     */
    public int updateRmMtrProbeResult(RmMtrProbeResult rmMtrProbeResult);

    /**
     * 批量删除网络mtr探测结果
     * 
     * @param ids 需要删除的网络mtr探测结果主键集合
     * @return 结果
     */
    public int deleteRmMtrProbeResultByIds(Long[] ids);

    /**
     * 删除网络mtr探测结果信息
     * 
     * @param id 网络mtr探测结果主键
     * @return 结果
     */
    public int deleteRmMtrProbeResultById(Long id);

    public void batchInsertRmMtrProbeResult(RmMtrProbeResult result);

    /**
     * 查看丢包率趋势
     * @param rmMtrProbeResult
     * @return
     */
    Map<String, Object> getLossRateByMtrClientId(RmMtrProbeResult rmMtrProbeResult);
}
